be.fgov.ehealth.addressbook.protocol.v1

## Class SearchProfessionalsRequest

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.RequestType
  - - be.fgov.ehealth.commons.protocol.v2.PaginationRequestType
    - - be.fgov.ehealth.addressbook.protocol.v1.SearchProfessionalsRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:18:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class SearchProfessionalsRequest
      extends PaginationRequestType
      implements Serializable

  Search healthcare professionals based on one or more search criteria

  Java class for SearchProfessionalsRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SearchProfessionalsRequestType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationRequestType">
             <sequence>
               <choice minOccurs="0">
                 <element name="NIHII" type="{urn:be:fgov:ehealth:addressbook:core:v1}NIHIIType"/>
                 <element name="SSIN" type="{urn:be:fgov:ehealth:addressbook:core:v1}SSINType"/>
               </choice>
               <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Profession" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <choice minOccurs="0">
                 <element name="City" type="{http://www.w3.org/2001/XMLSchema}string"/>
                 <element name="ZipCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </choice>
               <element name="EMail" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchProfessionalsRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCity()` Gets the value of the city property.
    `String` | `getEMail()` Gets the value of the eMail property.
    `String` | `getFirstName()` Gets the value of the firstName property.
    `String` | `getLastName()` Gets the value of the lastName property.
    `String` | `getNIHII()` Gets the value of the nihii property.
    `String` | `getProfession()` Gets the value of the profession property.
    `String` | `getSSIN()` Gets the value of the ssin property.
    `String` | `getZipCode()` Gets the value of the zipCode property.
    `void` | `setCity(String value)` Sets the value of the city property.
    `void` | `setEMail(String value)` Sets the value of the eMail property.
    `void` | `setFirstName(String value)` Sets the value of the firstName property.
    `void` | `setLastName(String value)` Sets the value of the lastName property.
    `void` | `setNIHII(String value)` Sets the value of the nihii property.
    `void` | `setProfession(String value)` Sets the value of the profession property.
    `void` | `setSSIN(String value)` Sets the value of the ssin property.
    `void` | `setZipCode(String value)` Sets the value of the zipCode property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationRequestType

      `getMaxElements, getOffset, setMaxElements, setOffset`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

      `getId, getIssueInstant, setId, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchProfessionalsRequest

          public SearchProfessionalsRequest()

  - ### Method Detail

    - #### getSSIN

          public String getSSIN()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSSIN

          public void setSSIN(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNIHII

          public String getNIHII()

      Gets the value of the nihii property.
      Returns:
        possible object is `String`

    - #### setNIHII

          public void setNIHII(String value)

      Sets the value of the nihii property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFirstName

          public String getFirstName()

      Gets the value of the firstName property.
      Returns:
        possible object is `String`

    - #### setFirstName

          public void setFirstName(String value)

      Sets the value of the firstName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLastName

          public String getLastName()

      Gets the value of the lastName property.
      Returns:
        possible object is `String`

    - #### setLastName

          public void setLastName(String value)

      Sets the value of the lastName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProfession

          public String getProfession()

      Gets the value of the profession property.
      Returns:
        possible object is `String`

    - #### setProfession

          public void setProfession(String value)

      Sets the value of the profession property.
      Parameters:
        `value` - allowed object is `String`

    - #### getZipCode

          public String getZipCode()

      Gets the value of the zipCode property.
      Returns:
        possible object is `String`

    - #### setZipCode

          public void setZipCode(String value)

      Sets the value of the zipCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCity

          public String getCity()

      Gets the value of the city property.
      Returns:
        possible object is `String`

    - #### setCity

          public void setCity(String value)

      Sets the value of the city property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEMail

          public String getEMail()

      Gets the value of the eMail property.
      Returns:
        possible object is `String`

    - #### setEMail

          public void setEMail(String value)

      Sets the value of the eMail property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.